Bullet Collision Detection & Physics Library: btClock Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
btClock Class Reference

The btClock is a portable basic clock that measures accurate time in seconds, use for profiling. More...

`#include <btQuickprof.h>`

Collaboration diagram for btClock:
[legend]

## Public Member Functions
| btClock ()
| The btClock is a portable basic clock that measures accurate time in seconds, use for profiling. More...
| btClock (const btClock &other)
btClock & | operator= (const btClock &other)
| ~btClock ()
void | reset ()
| Resets the initial reference time. More...
unsigned long int | getTimeMilliseconds ()
| Returns the time in ms since the last call to reset or since the btClock was created. More...
unsigned long int | getTimeMicroseconds ()
| Returns the time in us since the last call to reset or since the Clock was created. More...
btScalar | getTimeSeconds ()
| Returns the time in s since the last call to reset or since the Clock was created. More...

## Private Attributes
struct btClockData * | m_data

## Detailed Description

The btClock is a portable basic clock that measures accurate time in seconds, use for profiling.

Definition at line 35 of file btQuickprof.h.

## Constructor & Destructor Documentation

btClock::btClock | ( |  | ) |

The btClock is a portable basic clock that measures accurate time in seconds, use for profiling.

Definition at line 81 of file btQuickprof.cpp.

btClock::btClock | ( | const btClock & | other | ) |

Definition at line 95 of file btQuickprof.cpp.

btClock::~btClock | ( |  | ) |

Definition at line 90 of file btQuickprof.cpp.

## Member Function Documentation

unsigned long int btClock::getTimeMicroseconds | ( |  | ) |

Returns the time in us since the last call to reset or since the Clock was created.

Definition at line 187 of file btQuickprof.cpp.

unsigned long int btClock::getTimeMilliseconds | ( |  | ) |

Returns the time in ms since the last call to reset or since the btClock was created.

Definition at line 131 of file btQuickprof.cpp.

btScalar btClock::getTimeSeconds | ( |  | ) |

Returns the time in s since the last call to reset or since the Clock was created.

Definition at line 247 of file btQuickprof.cpp.

btClock & btClock::operator= | ( | const btClock & | other | ) |

Definition at line 101 of file btQuickprof.cpp.

void btClock::reset | ( |  | ) |

Resets the initial reference time.

Definition at line 109 of file btQuickprof.cpp.

## Member Data Documentation

struct btClockData* btClock::m_data
| private

Definition at line 61 of file btQuickprof.h.

The documentation for this class was generated from the following files:

- btQuickprof.h
- btQuickprof.cpp